PUT
https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}
Update a topic.
Not all properties are included in the response by default, make use of the OData select feature to adjust the response fields.
Nullable fields without a value may not be included in the response.
Values for Catenda fields (usually prefixed with bimsync_) are persistent across updates. Other fields are not and their values will be unset if not included in the update request. For example, an update request that doesn't include a description will remove any existing value for description.
BCF fields that have a corresponding Catenda field will be updated when setting the Catenda field. For example setting bimsync_assigned_to will also set assigned_to and viceversa if the assignee is a Catenda user. This means that the assigned_to field of a topic doesn't need to be set if bimsync_assigned_to is being used. But if the assignee is not a member of the project then the assigned_to field should always be set when updating a topic to avoid losing its value.
topic-board-idstringId of the topic board
topic-idstringTopic id
includeAuthorizationbooleanInclude authorization field in response
$selectstringLimit topic fields with OData
200OK
curl --request PUT \
--url https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id} \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"title": "Topic 1"
}'